Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jreqtools
Class FontRequester

    java.lang.Object
      |
      +--jreqtools.AbstractRequester
            |
            +--jreqtools.FontRequester

public class FontRequester
extends AbstractRequester

This is a requester for fonts.

Author:
  Markus Hillenbrand

Fields inherited from class jreqtools.AbstractRequester
`CANCEL, listener, OK`

Constructor Summary
`FontRequester()` Constructs a new StringRequester.
`FontRequester(java.awt.Font defaultfont)` Constructs a new StringRequester.
`FontRequester(java.lang.String title)` Constructs a new StringRequester.
`FontRequester(java.lang.String title, java.awt.Font defaultfont)` Constructs a new StringRequester.

Method Summary
`protected javax.swing.JDialog` | `createJDialog(javax.swing.JFrame parent)`
`java.awt.Font` | `getFont()`
`java.lang.String` | `getFontAsString()`
`protected int` | `getReturnValue()`
`protected static java.lang.String[]` | `makeFixedFontList()`
`protected static java.lang.String[]` | `makeFontList()`
`void` | `setFixedWidthOnly(boolean bool)`
`void` | `setFont(java.awt.Font newfont)`

Methods inherited from class jreqtools.AbstractRequester
`addHelpButton, addHelpButton, getLocation, getSize, request, request, setLocation, setLocation, setParentComponent, setSize, setSize, setTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FontRequester

    public FontRequester()

  Constructs a new StringRequester.

### FontRequester

    public FontRequester(java.lang.String title)

  Constructs a new StringRequester.
  Parameters:
    `message` - - The message to be shown in the requester.
    `defaultstring` - - The initial value of the text field.

### FontRequester

    public FontRequester(java.awt.Font defaultfont)

  Constructs a new StringRequester.
  Parameters:
    `defaultstring` - - The initial value of the text field.

### FontRequester

    public FontRequester(java.lang.String title,
                         java.awt.Font defaultfont)

  Constructs a new StringRequester.
  Parameters:
    `title` - - Title of the requester.
    `message` - - The message to be shown in the requester.
    `defaultstring` - - The initial value of the text field.

Method Detail

### createJDialog

    protected javax.swing.JDialog createJDialog(javax.swing.JFrame parent)

  Overrides:
    `createJDialog` in class `AbstractRequester`

### getFont

    public java.awt.Font getFont()

### getFontAsString

    public java.lang.String getFontAsString()

### getReturnValue

    protected int getReturnValue()

  Overrides:
    `getReturnValue` in class `AbstractRequester`

### makeFixedFontList

    protected static java.lang.String[] makeFixedFontList()

### makeFontList

    protected static java.lang.String[] makeFontList()

### setFixedWidthOnly

    public void setFixedWidthOnly(boolean bool)

### setFont

    public void setFont(java.awt.Font newfont)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD